<?php

class ControllerExtensionModuleInitproKassa extends Controller {
	public function index() {
		if (!array_key_exists('HTTP_X_HMAC_SIGNATURE', $this->request->server)) {
			header('HTTP/1.1 401 Unauthorized');
			exit();
		}

		if ($this->request->server['REQUEST_METHOD'] != 'POST') {
			header('HTTP/1.1 405 Method Not Allowed');
			header('Allow: POST');
			exit();
		}

		$secretKey = $this->config->get('module_initpro_kassa_secret_key');
		if (empty($secretKey)) {
			error_log('Unable to handle request: module_initpro_kassa_secret_key is not defined');
			header('HTTP/1.1 500 Internal Server Error');
			exit();
		}

		$url = $this->url->link('extension/module/initpro_kassa', '', true);
		$data = file_get_contents('php://input');
		$signature = hash_hmac('md5', $this->request->server['REQUEST_METHOD'] . $url . $data, $secretKey);
		if ($signature != $this->request->server['HTTP_X_HMAC_SIGNATURE']) {
			header('HTTP/1.1 403 Forbidden');
			exit();
		}

		$data = json_decode($data, true);
		foreach (array('external_id', 'state') as $key) {
			if (!array_key_exists($key, $data)) {
				header('HTTP/1.1 400 Bad Request');
				header('Content-Type: text/plain');
				echo $key." is required\n";
				exit();
			}
		}

		$taskID = $data['external_id'];
		$status = $data['state'];
		$errorDescription = $data['state'] === 'error' ? $data['error_description'] : '';

		$this->db->query(sprintf(
		    "UPDATE `%sinitpro_kassa_report` SET `status` = '%s', `error` = '%s' WHERE `task_id` = '%s'",
            DB_PREFIX,
            $status,
            $errorDescription,
            $taskID
        ));
	}

	public function onAddOrderHistoryAfter($route, $args) {
		$this->load->library('initprokassa');
		$this->initprokassa->printCheck($args[0]);
	}
}
